Search documentation of tiger_stripe

# Stripe.Resources.ReserveTransaction (tiger_stripe v0.1.1)

Copy Markdown View Source

ReserveTransaction

## Summary

### Types

t()

### Functions

object_name()

## Types

# t()

    @type t() :: %Stripe.Resources.ReserveTransaction{
      amount: integer(),
      currency: String.t(),
      description: String.t(),
      id: String.t(),
      object: String.t()
    }

- `amount`
- `currency` - Three-letter ISO currency code, in lowercase. Must be a supported currency. Format: ISO 4217 currency code.
- `description` - An arbitrary string attached to the object. Often useful for displaying to users. Max length: 5000. Nullable.
- `id` - Unique identifier for the object. Max length: 5000.
- `object` - String representing the object's type. Objects of the same type share the same value. Possible values: `reserve_transaction`.

## Functions

# object_name()